Bug 10234 - There is no distinct config file for linux-2.6.x
: There is no distinct config file for linux-2.6.x
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/MAKEDEV)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://lists.altlinux.org/pipermail/c...
:
:
:
  Show dependency tree
 
Reported: 2006-11-03 22:33 by
Modified: 2006-12-17 23:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-03 22:33:30
During the migration from the kernel 2.4 to the kernel 2.6 I've got problems
with soft-modem (slamr) on my notebook IBM Thinkpad R31. The core problem was in
the major mode for the /dev/slamr* devices. For the kernel 2.4 they had major
mode number 212, but for the kernel 2.6 they must have the number 242. Therefore
I found the problems in the standard MAKEDEV and udev configurations.

I'm not sure, that the mode must be 242 for standard configuration files, but I
found the devices in MAKEDEV's configuration file linux-2.4.x. Surely, I fixed
my problem just writing 242 for slamr in the file linux-2.4.x, but it is not
seems pretty good. Maybe, a special configuration file linux-2.6.x is necessary?

The same question is for the configuration of udev.

One may see details in the maillist:

http://lists.altlinux.org/pipermail/community/2006-November/185774.html
Steps to Reproduce:
See the configuration files for MAKEDEV
Actual Results:  
There is file linux-2.4.x, but there is no files like linux-2.6.x

Expected Results:  
I think, both linux-2.4.x and linux-2.6.x are necessary, or, at least, the
latter one.
------- Comment #1 From 2006-11-04 10:45:24 -------
Taken, will be fixed with the next MAKEDEV/dev update (not immediately, need to
accumulate the rest of bits and pieces, if any).
------- Comment #2 From 2006-11-12 21:08:14 -------
fixed in 3.3.1-alt16
------- Comment #3 From 2006-11-23 17:22:10 -------
fixed in 3.3.1-alt16